## ktp-legacy-presence-applet 1.1

=== CMakeLists.txt ===
project(ktp-presence-applet)

set(CMAKE_MODULE_PATH
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules"
    ${CMAKE_MODULE_PATH}
)

cmake_minimum_required (VERSION 2.8.12 FATAL_ERROR)

find_package(ECM 0.0.11 REQUIRED NO_MODULE)
set (CMAKE_MODULE_PATH
     "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules"
     ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR}
)
cmake_policy(SET CMP0002 OLD)

find_package (Qt5 REQUIRED CONFIG COMPONENTS
              Core
              Qml
              DBus)

find_package (KF5 REQUIRED COMPONENTS
              IconThemes
              I18n
              Service
              Plasma)

find_package(TelepathyQt5 0.9.3 REQUIRED)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(CheckIncludeFiles)
include(FeatureSummary)

add_subdirectory(plugin)

plasma_install_package(package org.kde.plasma.ktplegacypresenceapplet)

=== plugin/CMakeLists.txt ===
project(ktp-presence-applet-helper)

add_definitions(-DTRANSLATION_DOMAIN=\"ktp-legacy-presence-applet\")

set(applethelper_SRCS
    global-presence.cpp
    presence.cpp
    ktplegacyhelperplugin.cpp
    )

include_directories(${TELEPATHY_QT5_INCLUDE_DIR})

add_library(ktplegacyhelperplugin SHARED ${applethelper_SRCS})
target_link_libraries(ktplegacyhelperplugin Qt5::Core
                                            Qt5::Qml
                                            KF5::IconThemes
                                            KF5::I18n
                                            KF5::Service
                                            ${TELEPATHY_QT5_LIBRARIES})

install(TARGETS ktplegacyhelperplugin DESTINATION ${QML_INSTALL_DIR}/org/kde/plasma/ktplegacyhelper)

install(FILES qmldir DESTINATION ${QML_INSTALL_DIR}/org/kde/plasma/ktplegacyhelper)

=== debian/changelog ===
ktp-legacy-presence-applet (1.1-0ubuntu2) cosmic; urgency=medium

  * Build depend on libkf5plasma-dev instead of transitional plasma-
    framework-dev being dropped in Frameworks 5.47

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 08 Jun 2018 19:30:08 +0100

ktp-legacy-presence-applet (1.1-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 15 Apr 2015 20:46:28 +0200

ktp-legacy-presence-applet (1.0-0ubuntu2) vivid; urgency=medium

  * Rename package to kde-telepathy-legacy-presence-applet

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 12 Mar 2015 17:13:28 +0100

ktp-legacy-presence-applet (1.0-0ubuntu1) vivid; urgency=medium

  * Initial package

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 12 Mar 2015 13:42:19 +0100

=== debian/control ===
Source: ktp-legacy-presence-applet
Priority: extra
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               extra-cmake-modules,
               libkf5configwidgets-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5plasma-dev,
               libkf5service-dev,
               libtelepathy-qt5-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev,
               qtdeclarative5-dev
Standards-Version: 3.9.6
Section: kde
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-extras/kde-telepathy/ktp-legacy-presence-applet.git/
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-legacy-presence-applet.git

Package: kde-telepathy-legacy-presence-applet
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Telepathy Legacy Presence Applet
 Plasmoid to show KDE Telepathy presence with KDE Telepathy 0.9 and
 Plasma 5.
